Subject: Reminder: Pancake Breakfast!

From: "Lauren Savage" <[email-masked]>
Date: Sat, 27 Jan 2007 00:24:40 -0800

Still this Saturday.  11 AM - 1 PM on the Olive Walk (note the change,
it's only until 1).  There will even be chocolate chip pancakes. :)

We could use more people, too, so stop by and give us a hand.

-Lauren